package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * bs_order_deduction
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsOrderDeduction implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 总优惠金额（优惠券实际优惠金额 + 积分抵扣）
     */
    private BigDecimal totalDeductionPrice;

    /**
     * 用户优惠券id
     */
    private Long userCouponDiscountId;

    /**
     * 优惠券id
     */
    private Long couponDiscountId;

    /**
     * 优惠券类型
     */
    private Integer couponDiscountType;

    /**
     * 优惠券优惠金额
     */
    private BigDecimal couponDiscountPrice;

    /**
     * 优惠券实际优惠金额
     */
    private BigDecimal couponDiscountActualPrice;

    /**
     * 积分抵扣数量
     */
    private Long integralDiscountPrice;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public BigDecimal getTotalDeductionPrice() {
        return totalDeductionPrice;
    }

    public void setTotalDeductionPrice(BigDecimal totalDeductionPrice) {
        this.totalDeductionPrice = totalDeductionPrice;
    }

    public Long getUserCouponDiscountId() {
        return userCouponDiscountId;
    }

    public void setUserCouponDiscountId(Long userCouponDiscountId) {
        this.userCouponDiscountId = userCouponDiscountId;
    }

    public Long getCouponDiscountId() {
        return couponDiscountId;
    }

    public void setCouponDiscountId(Long couponDiscountId) {
        this.couponDiscountId = couponDiscountId;
    }

    public Integer getCouponDiscountType() {
        return couponDiscountType;
    }

    public void setCouponDiscountType(Integer couponDiscountType) {
        this.couponDiscountType = couponDiscountType;
    }

    public BigDecimal getCouponDiscountPrice() {
        return couponDiscountPrice;
    }

    public void setCouponDiscountPrice(BigDecimal couponDiscountPrice) {
        this.couponDiscountPrice = couponDiscountPrice;
    }

    public BigDecimal getCouponDiscountActualPrice() {
        return couponDiscountActualPrice;
    }

    public void setCouponDiscountActualPrice(BigDecimal couponDiscountActualPrice) {
        this.couponDiscountActualPrice = couponDiscountActualPrice;
    }

    public Long getIntegralDiscountPrice() {
        return integralDiscountPrice;
    }

    public void setIntegralDiscountPrice(Long integralDiscountPrice) {
        this.integralDiscountPrice = integralDiscountPrice;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsOrderDeduction other = (BsOrderDeduction) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderId() == null ? other.getOrderId() == null : this.getOrderId().equals(other.getOrderId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getTotalDeductionPrice() == null ? other.getTotalDeductionPrice() == null : this.getTotalDeductionPrice().equals(other.getTotalDeductionPrice()))
            && (this.getUserCouponDiscountId() == null ? other.getUserCouponDiscountId() == null : this.getUserCouponDiscountId().equals(other.getUserCouponDiscountId()))
            && (this.getCouponDiscountId() == null ? other.getCouponDiscountId() == null : this.getCouponDiscountId().equals(other.getCouponDiscountId()))
            && (this.getCouponDiscountType() == null ? other.getCouponDiscountType() == null : this.getCouponDiscountType().equals(other.getCouponDiscountType()))
            && (this.getCouponDiscountPrice() == null ? other.getCouponDiscountPrice() == null : this.getCouponDiscountPrice().equals(other.getCouponDiscountPrice()))
            && (this.getCouponDiscountActualPrice() == null ? other.getCouponDiscountActualPrice() == null : this.getCouponDiscountActualPrice().equals(other.getCouponDiscountActualPrice()))
            && (this.getIntegralDiscountPrice() == null ? other.getIntegralDiscountPrice() == null : this.getIntegralDiscountPrice().equals(other.getIntegralDiscountPrice()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderId() == null) ? 0 : getOrderId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getTotalDeductionPrice() == null) ? 0 : getTotalDeductionPrice().hashCode());
        result = prime * result + ((getUserCouponDiscountId() == null) ? 0 : getUserCouponDiscountId().hashCode());
        result = prime * result + ((getCouponDiscountId() == null) ? 0 : getCouponDiscountId().hashCode());
        result = prime * result + ((getCouponDiscountType() == null) ? 0 : getCouponDiscountType().hashCode());
        result = prime * result + ((getCouponDiscountPrice() == null) ? 0 : getCouponDiscountPrice().hashCode());
        result = prime * result + ((getCouponDiscountActualPrice() == null) ? 0 : getCouponDiscountActualPrice().hashCode());
        result = prime * result + ((getIntegralDiscountPrice() == null) ? 0 : getIntegralDiscountPrice().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderId=").append(orderId);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", totalDeductionPrice=").append(totalDeductionPrice);
        sb.append(", userCouponDiscountId=").append(userCouponDiscountId);
        sb.append(", couponDiscountId=").append(couponDiscountId);
        sb.append(", couponDiscountType=").append(couponDiscountType);
        sb.append(", couponDiscountPrice=").append(couponDiscountPrice);
        sb.append(", couponDiscountActualPrice=").append(couponDiscountActualPrice);
        sb.append(", integralDiscountPrice=").append(integralDiscountPrice);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}